## groovy.lang
Class ExpandoMetaProperty

Field Summary
`boolean` | `isStatic`
`String` | `propertyName`

Constructor Summary
`ExpandoMetaProperty(String name)`
`ExpandoMetaProperty(String name, boolean isStatic)`

Method Summary
`Method` | `checkIfMethodExists(Class methodClass, String methodName, def paramTypes, boolean staticMethod)`
`Object` | `getProperty(String property)`
`String` | `getPropertyName()`
`LinkedList` | `getSuperClasses()` Retrieves a list of super classes.
`Object` | `invokeConstructor(def arguments)`
`boolean` | `isStatic()`
`Object` | `leftShift(Object arg)`
`void` | `registerIfClosure(Object arg, boolean replace)`
`void` | `setProperty(String property, Object newValue)`

Constructor Detail

### ExpandoMetaProperty

    ExpandoMetaProperty(String name)

### ExpandoMetaProperty

    ExpandoMetaProperty(String name, boolean isStatic)

Method Detail

### checkIfMethodExists

    Method checkIfMethodExists(Class methodClass, String methodName, def paramTypes, boolean staticMethod)

### getProperty

    public Object getProperty(String property)

### getPropertyName

    public String getPropertyName()

### getSuperClasses

    LinkedList getSuperClasses()

  Retrieves a list of super classes. Taken from MetaClassImpl. Ideally this method should be protected
  return:
    A list of super classes

### invokeConstructor

    public Object invokeConstructor(def arguments)

### isStatic

    public boolean isStatic()

### leftShift

    public Object leftShift(Object arg)

### registerIfClosure

    void registerIfClosure(Object arg, boolean replace)

### setProperty

    public void setProperty(String property, Object newValue)